Signatures

Signature Delete

DELETE
/signatures/signature/{signatureId}/delete

Removes a specific signature from the Storage system.

  • The signature is identified using the signatureId path parameter.
  • This endpoint allows users to delete a previously stored signature associated with their account.

Authorization

AuthorizationBearer <token>

JWT token to authenticate the request.

In: header

X-Api-Key<token>

API key, sent as a request header.

In: header

Path Parameters

signatureId*string

The ID of the signature that should be deleted.

Response Body

application/json

application/json

application/json

curl -X DELETE "https://example.com/signatures/signature/string/delete"
{  "signature": {    "id": "123e4567-e89b-12d3-a456-426614174000",    "message": "Signature deleted."  }}
{  "error": {    "message": "Envelope not found.",    "statusCode": 400,    "innerErrors": [      {        "code": "ENVELOPE_ID_INVALID",        "message": "Envelope not found.",        "userMessage": "Envelope not found."      }    ]  },  "origin": "POST https://apim-mavenheadless-dev-westeu-1.azure-api.net/v1/signatures/envelope/create",  "dateTime": "2026-07-20T12:00:00.0000000+00:00"}
{  "error": {    "message": "Envelope not found.",    "statusCode": 400,    "innerErrors": [      {        "code": "ENVELOPE_ID_INVALID",        "message": "Envelope not found.",        "userMessage": "Envelope not found."      }    ]  },  "origin": "POST https://apim-mavenheadless-dev-westeu-1.azure-api.net/v1/signatures/envelope/create",  "dateTime": "2026-07-20T12:00:00.0000000+00:00"}